Em Friday 14 March 2008 08:22:14 Daniel Demacek escreveu:
> Hi,
>
> in my testing environemnt I've tryied binary upgrade from 6.3-RELEASE ->
> 7-RELEASE by following Colin Percival's article at
> http://www.daemonology.net/blog/2007-11-11-freebsd-major-version-upgrade.ht
>ml
>
> I am stuck at the step "portupgrade -f ruby":
>
> --->  Reinstalling 'ruby-1.8.6.111_1,1' (lang/ruby18)
> --->  Building '/usr/ports/lang/ruby18'
> ===>  Cleaning for ruby-1.8.6.111_1,1
> ===>  Found saved configuration for ruby-1.8.6,1
> ===>  Extracting for ruby-1.8.6.111_1,1
> => MD5 Checksum OK for ruby/ruby-1.8.6-p111.tar.bz2.
> => SHA256 Checksum OK for ruby/ruby-1.8.6-p111.tar.bz2.
> /bin/mv /usr/ports/lang/ruby18/work/ruby-1.8.6-p111/ext/dl/h2rb
> /usr/ports/lang/ruby18/work/ruby-1.8.6-p111/bin/ ===>  Patching for
> ruby-1.8.6.111_1,1
> ===>  Applying FreeBSD patches for ruby-1.8.6.111_1,1
> /usr/bin/sed -i.bak -e 's|-l$pthread_lib|-pthread|g' 
> /usr/ports/lang/ruby18/work/ruby-1.8.6-p111/configure /bin/rm -rf
> /usr/ports/lang/ruby18/work/ruby-1.8.6-p111/ext/Win32API /bin/rm -rf
> /usr/ports/lang/ruby18/work/ruby-1.8.6-p111/ext/win32ole /bin/mv
> /usr/ports/lang/ruby18/work/ruby-1.8.6-p111/ext/gdbm
> /usr/ports/lang/ruby18/work/ /bin/mv
> /usr/ports/lang/ruby18/work/ruby-1.8.6-p111/ext/iconv
> /usr/ports/lang/ruby18/work/ /bin/mv
> /usr/ports/lang/ruby18/work/ruby-1.8.6-p111/ext/tk
> /usr/ports/lang/ruby18/work/ ===>  Configuring for ruby-1.8.6.111_1,1
> /usr/bin/touch /usr/ports/lang/ruby18/work/ruby-1.8.6-p111/configure
> configure: WARNING: you should use --build, --host, --target
> checking build system type... i386-portbld-freebsd6
> checking host system type... i386-portbld-freebsd6
> checking target system type... i386-portbld-freebsd6
> checking for i386-portbld-freebsd6-gcc... cc
> checking for C compiler default output file name... a.out
> checking whether the C compiler works... Bad system call (core dumped)
> configure: error: cannot run C compiled programs.
> If you meant to cross compile, use `--host'.
> See `config.log' for more details.
> ===>  Script "configure" failed unexpectedly.
> Please report the problem to [EMAIL PROTECTED] [maintainer] and attach the
> "/usr/ports/lang/ruby18/work/ruby-1.8.6-p111/config.log" including the
> output of the failure of your make command. Also, it might be a good idea
> to provide an overview of all packages installed on your system (e.g. an
> `ls
> /var/db/pkg`).
> *** Error code 1
>
> Stop in /usr/ports/lang/ruby18.
> *** Error code 1
>
> Stop in /usr/ports/lang/ruby18.
>     ! lang/ruby18 (ruby-1.8.6.111_1,1)    (configure error)
>
>
>
> Any suggestions? Thank you.
> Dan.
>
>
>
>
In my experience, when I moved from 6.2 to 7.0 I had to recompile portupgrade 
at hand first. To do this you need to recompile portupgrade and all his 
dependencies by doing 'make install clean' in each one. Yes, ruby is one of 
the portupgrade dependencies... And after, with a fresh portupgrade compiled 
in the new 7.0 environment, I've done portupgrade -fa.

-- 
Aline de Freitas - Chave p├║blica: ID DE632016 / keys.indymedia.org
gpg --keyserver keys.indymedia.org --recv-keys DE632016

Attachment: signature.asc
Description: This is a digitally signed message part.

Reply via email to